{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'Device operation log' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'oplog/oplog_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'id',align:'center',width:180">Id</th>
        <th data-options="field:'sn',align:'center',width:100">Device</th>
        <th data-options="field:'admin',align:'center',width:180">Device administrator</th>
        <th data-options="field:'object',align:'center',width:180">Operation</th>
        <th data-options="field:'op_time',align:'center',width:180">Time</th>
        <th data-options="field:'op',align:'center',width:180">Object</th>
        <th data-options="field:'area_name',align:'center',width:180">Area</th>
      </tr>
    </thead>
    <tbody>
	    {% for oplog in oplogs %}
	      <tr>
	        <td><input type="checkbox" class=""></td>
	        <td>{{ oplog.id }}</a></td>
	        <td>{{ oplog.iclock.sn }}</td>
	        <td>{{ oplog.admin }}</td>
	        <td>{{ oplog.object }}</td>
	        <td>{{ oplog.op_time }}</td>
	        <td>{{ oplog.op }}</td>
	        <td>{{ oplog.area.area_name }}</td>
	      </tr>
	   	{% endfor %}
    </tbody>
  	</table>

   {% include 'paginator.html' with paginator=oplogs %}

{% endblock content %}
